## r-cran-ucminf 1.1

=== DESCRIPTION ===
Package: ucminf
Version: 1.1-4.1
Date: 2016-08-17
Title: General-Purpose Unconstrained Non-Linear Optimization
Author: Hans Bruun Nielsen and Stig Bousgaard Mortensen
Maintainer: Stig Bousgaard Mortensen <stigbm@gmail.com>
Description: An algorithm for general-purpose unconstrained non-linear optimization.
             The algorithm is of quasi-Newton type with BFGS updating of the inverse
             Hessian and soft line search with a trust region type monitoring of the
             input to the line search algorithm. The interface of 'ucminf' is
             designed for easy interchange with 'optim'.
Suggests: numDeriv
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2022-09-29 07:33:18 UTC; tomas
Repository: CRAN
Date/Publication: 2022-09-29 09:45:08 UTC

## r-cran-ucminf 1.1-4

=== debian/changelog ===
r-cran-ucminf (1.1-4-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 13:02:25 +0200

r-cran-ucminf (1.1-4-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sun, 16 Dec 2018 10:14:41 +0100

r-cran-ucminf (1.1-4-1) unstable; urgency=medium

  * Initial release (closes: #893859)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2018 14:01:57 +0100

=== debian/control ===
Source: r-cran-ucminf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ucminf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ucminf.git
Homepage: https://cran.r-project.org/package=ucminf
Rules-Requires-Root: no

Package: r-cran-ucminf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R general-purpose unconstrained non-linear optimization
 An algorithm for general-purpose unconstrained non-linear optimization.
 The algorithm is of quasi-Newton type with BFGS updating of the inverse
 Hessian and soft line search with a trust region type monitoring of the
 input to the line search algorithm. The interface of 'ucminf' is
 designed for easy interchange with 'optim'.

## r-cran-ucminf 1.1-4.1

=== debian/changelog ===
r-cran-ucminf (1.1-4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 21:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-ucminf
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ucminf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ucminf.git
+Homepage: https://cran.r-project.org/package=ucminf
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ucminf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ucminf.git
-Homepage: https://cran.r-project.org/package=ucminf
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ucminf
 Architecture: any

## r-cran-ucminf 1.2.0

=== debian/changelog ===
r-cran-ucminf (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:30:36 +0200

## r-cran-ucminf 1.2.1

=== DESCRIPTION ===
Package: ucminf
Title: General-Purpose Unconstrained Non-Linear Optimization
Version: 1.2.1
Authors@R: c(
    person("K Hervé", "Dakpo", email = "k-herve.dakpo@inrae.fr", 
    role = c("ctb", "cre")),
    person("Hans Bruun", "Nielsen", role = "aut"),
    person("Stig Bousgaard", "Mortensen", role = "aut")
  )
Description: An algorithm for general-purpose unconstrained non-linear optimization.
             The algorithm is of quasi-Newton type with BFGS updating of the inverse
             Hessian and soft line search with a trust region type monitoring of the
             input to the line search algorithm. The interface of 'ucminf' is
             designed for easy interchange with 'optim'.
License: GPL (>= 2)
URL: https://github.com/hdakpo/ucminf
BugReports: https://github.com/hdakpo/ucminf/issues
Encoding: UTF-8
RoxygenNote: 7.2.3
Depends: R (>= 3.5.0)
Suggests: numDeriv
NeedsCompilation: yes
Packaged: 2023-12-11 12:17:24 UTC; Dakpo
Author: K Hervé Dakpo [ctb, cre],
  Hans Bruun Nielsen [aut],
  Stig Bousgaard Mortensen [aut]
Maintainer: K Hervé Dakpo <k-herve.dakpo@inrae.fr>
Repository: CRAN
Date/Publication: 2023-12-13 18:20:02 UTC

=== debian/changelog ===
r-cran-ucminf (1.2.1-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ucminf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ucminf.git
 Homepage: https://cran.r-project.org/package=ucminf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-ucminf 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: ucminf
 Title: General-Purpose Unconstrained Non-Linear Optimization
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("K Hervé", "Dakpo", email = "k-herve.dakpo@inrae.fr", 
     role = c("ctb", "cre")),
@@ -16,14 +16,14 @@
 URL: https://github.com/hdakpo/ucminf
 BugReports: https://github.com/hdakpo/ucminf/issues
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Depends: R (>= 3.5.0)
 Suggests: numDeriv
 NeedsCompilation: yes
-Packaged: 2023-12-11 12:17:24 UTC; Dakpo
+Packaged: 2024-06-24 17:05:54 UTC; Dakpo
 Author: K Hervé Dakpo [ctb, cre],
   Hans Bruun Nielsen [aut],
   Stig Bousgaard Mortensen [aut]
 Maintainer: K Hervé Dakpo <k-herve.dakpo@inrae.fr>
 Repository: CRAN
-Date/Publication: 2023-12-13 18:20:02 UTC
+Date/Publication: 2024-06-24 17:50:02 UTC

=== debian/changelog ===
r-cran-ucminf (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jul 2024 14:22:53 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ucminf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ucminf.git
 Homepage: https://cran.r-project.org/package=ucminf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/ucminf_([-\d.]*)\.tar\.gz
